Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 723048 - dev-libs/hsa-ext-rocr installs files with unresolved SONAME dependencies
Summary: dev-libs/hsa-ext-rocr installs files with unresolved SONAME dependencies
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Marek Szuba
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-14 15:46 UTC by Agostino Sarubbo
Modified: 2020-05-14 16:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,6.63 KB, text/plain)
2020-05-14 15:46 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-14 15:46:20 UTC
This is an auto-filled bug because dev-libs/hsa-ext-rocr installs files with unresolved SONAME dependencies.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-14 15:46:31 UTC
Created attachment 639014 [details]
build.log

build log and emerge --info
Comment 2 Marek Szuba gentoo-dev 2020-05-14 16:27:36 UTC
For the record: libhsa-runtime64.so.1 is provided by dev-libs/rocr-runtime, libhsakmt.so.1 - by dev-libs/roct-thunk-interface.

I must admit that I feel _very_ tempted to leave this as it is. The correct way of solving this issue would be for dev-libs/hsa-ext-rocr to depend on both of the aforementioned packages - except we already have rocr-runtime conditionally depending on hsa-ext-roct. In other words, doing this "properly" would make things harder for users because instead of simply setting USE=non-free on rocr-runtime, they would have to emerge it manually.

That said, if candrews (who maintains rocr-runtime) decides to replace the dependency on hsa-ext-roct with a message telling the users to install that package if they want OpenCL image support I shall be happy to change things on my end as well.